package model

import (
	"time"

	"go.mongodb.org/mongo-driver/bson/primitive"
)

// db.getCollection(banner).createIndexes([{aid: 1}, {isHome: 1}])
type Nav struct {
	Id primitive.ObjectID `bson:"_id,omitempty" json:"_id"`
	// Aid        primitive.ObjectID `bson:"aid,omitempty" json:"aid"` // 内联id
	Url   string `bson:"url,omitempty" json:"url"` // 外联url
	Name  string `bson:"name,omitempty" json:"name"`
	Cover string `bson:"cover,omitempty" json:"cover"`
	// Lang       string             `bson:"lang,omitempty" json:"lang"`     // cn en
	Sort *int `bson:"sort,omitempty" json:"sort"` // 排序，使用创建时间联合排序。排序按升序排，默认为0
	// IsHome     *bool              `bson:"isHome,omitempty" json:"isHome"` // 是否展示到首页
	CreateTime time.Time `bson:"createTime,omitempty" json:"createTime"`
	UpdateTime time.Time `bson:"updateTime,omitempty" json:"updateTime"`
}
